Cyberduck Mountain Duck CLI

#7154 closed defect (fixed)

Video files uploaded to Rack Space Cloud do not stream via CDN, but if uploaded via web access stream properly in IE10

Reported by: glennbob Owned by: dkocher
Priority: normal Milestone: 4.3
Component: cloudfiles Version: 4.2.1
Severity: normal Keywords: improper file type
Cc: Architecture: Intel
Platform: Windows 7

Description

This problem appears to be a miss-labeled content type on at least M4V files, when attempting to play in IE10. We encode M4v, Webm, and OGV files of all of our church videos. I noticed this week, that in IE10, using the latest FLOWPLAYER on our website, that IE10 errors with "Unknown File Type or invalid file path". Upon looking at the files in our Cloud Files, I noticed that the TYPE, when uploaded via CyberDuck is listed as "application/octet-stream", while the same file (with an 'a' added to the file name) lists as "video/x-m4v". Other browsers going to the same site, DO play the m4v when required, BUT IE10 appears to what the Type to be correct, which when the file is uploaded via the manage.rackspace web portal, it appears properly and streams properly via the CDN. I've verified this behavior on at least 6 files so far. All uploaded via the WebPortal perform as expected, those via CyberDuck do not stream on IE10. This COULD be an IE10 issue with tightness of HTML5 standards, BUT Chrome and other broswers on other platforms (iOS, Android) play the files properly. Glenn Meadows

Change History (5)

comment:1 follow-up: Changed on Apr 7, 2013 at 1:00:43 PM by dkocher

What is the file extension and what MIME type mapping to you expect it to have?

comment:2 in reply to: ↑ 1 Changed on Apr 7, 2013 at 1:10:46 PM by dkocher

Replying to dkocher:

What is the file extension and what MIME type mapping to you expect it to have?

We should map video/x-m4v m4v. I suspect the Content-Type header is not set on upload. Can you please post the transcript from the log drawer (⌘-L) of the Transfers window.

comment:3 Changed on Apr 7, 2013 at 1:10:56 PM by dkocher

  • Milestone set to 4.3

comment:4 Changed on Apr 7, 2013 at 1:12:37 PM by dkocher

Change in r10811 possibly affecting this issue.

comment:5 Changed on Apr 8, 2013 at 9:22:53 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

I tested here with the latest snapshot build and we correctly set the MIME type.

PUT /v1/MossoCloudFS_59113590-c679-46c3-bf62-9d7c3d5176ee/test.cyberduck.ch/m.m4v HTTP/1.1
X-Auth-Token: e9e07542-04c2-45f3-84a0-71969a9ddf4c
Content-Type: video/x-m4v
Content-Length: 9
Host: storage101.dfw1.clouddrive.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.3 (Mac OS X/10.8.3) (x86_64)
HTTP/1.1 201 Created
Last-Modified: Mon, 08 Apr 2013 09:20:43 GMT
Content-Length: 0
Etag: 529c9f489462aa5a4968a4e1e342bff3
Content-Type: text/html; charset=UTF-8
X-Trans-Id: tx535df664d84b4f69a5d5e20963f45997
Date: Mon, 08 Apr 2013 09:20:43 GMT
Connection: keep-alive

However, Cloud Files will respondw ith a Content-Type: text/html; charset=UTF-8 content type for the uploaded movie. This issue should be reported to Rackspace Support.

Note: See TracTickets for help on using tickets.
swiss made software